WordPress.org

Ready to get started?Download WordPress

Forums

Event Espresso Lite - Event Management and Registration System
Not PostgreSQL Ready... (9 posts)

1 star
  1. Merovex
    Member
    Posted 1 year ago #

    The database installation expects mySQL, which means it won't install when the site uses PostgreSQL.

  2. Chris Reynolds
    Member
    Posted 1 year ago #

    This is a really puzzling review, since WordPress lists MySQL as a requirement on the requirements page: http://wordpress.org/about/requirements/

    ...and Event Espresso lists MySQL as a requirement on its requirements page: http://eventespresso.com/requirements/

    Seeing as how there's no official documentation anywhere that either WordPress or Event Espresso would support PostgreSQL, I'm not sure why not supporting PostgreSQL would warrant a one star review.

  3. Josh
    Member
    Posted 1 year ago #

    Interesting thread. Well since nobody mentioned this... how about support for Firebird SQL? ;)

  4. Merovex
    Member
    Posted 1 year ago #

    WordPress has abstracted its database layer enough that I'm able to host using PostgreSQL on Heroku. One would think a plugin asking for as much as this is per site license would have thought to abstract its data layer.

    If you think of stars as recommendations, I would definitely not recommend this plugin due to lack of flexibility and cost. Yes, this is the free version, but I'm only in the evaluation phase right now.

  5. Chris Reynolds
    Member
    Posted 1 year ago #

    While it may be possible to run WordPress on PostgreSQL, the point still stands that the minimum requirements for both WordPress core and Event Espresso is MySQL. So, based on that, not supporting PostgreSQL when it's not ever stated that it did support PostgreSQL seems like a non-issue to me.

    I'm guessing the majority of plugins -- particularly plugins that are adding new database tables or doing complex database queries -- are going to have similar issues, since you are running on a platform that is not supported by the software.

    Whether or not Event Espresso (or WordPress) should support PostgreSQL is a completely different issue -- one that could have been brought up in the support forums as a feature request.

  6. Merovex
    Member
    Posted 1 year ago #

    It's my opinion and choice of venue, for which you certainly disagree. I think it's fair to say the one-star rating will be recognized for what it is. As I've learned, lower ratings are merely an indication of not hitting the target audience.

  7. sethshoultes
    Member
    Plugin Author

    Posted 1 year ago #

    Ha!

  8. Darren Ethier (nerrad)
    Member
    Posted 1 year ago #

    WordPress has abstracted its database layer enough that I'm able to host using PostgreSQL on Heroku.

    I highly doubt you were able to install and use WordPress on postgresql without any modifications/extensions to WordPress to do so. Why would you expect any WordPress plugin (which is built to work with what WordPress officially supports) to work without modification?

    As I've learned, lower ratings are merely an indication of not hitting the target audience.

    Generally yes, but sir, postgresql users are NOT the target audience of Event Espresso. WordPress users AND specifically the average WordPress user who is NOT jumping through hoops to get WordPress to work with databases it doesn't officially support. So to those developing Event Espresso, your one star rating doesn't actually accomplish your intended purpose.

    You are certainly entitled to your opinion and your choice of where you voice it, but the point that's being made in this thread is that your opinion may gain a more receptive audience (and be more helpful) elsewhere.

  9. buckneri
    Member
    Posted 3 months ago #

    <sarcasm>This plugin also doesn't work on HTML5 Web Databases, you should totally give this plugin a single star for that too.</sarcasm>

Topic Closed

This topic has been closed to new replies.